Collectors
the query to filter collectors by, e.g. name:collector-1
the selector to filter collectors by, e.g. configuration=my-config
the pagination offset
the maximum number of results to return
the field on which to sort results. A '-' prefix indicates descending sorting.
OK
Bad Request
Unauthorized
Internal Server Error
GET /v1/collectors HTTP/1.1
Accept: */*
{
"agents": [
{
"arch": "text",
"available_components_hash": "text",
"configuration": null,
"configurationStatus": {
"assigned": "text",
"current": "text",
"currentStage": 1,
"dirty": true,
"future": "text",
"futureStage": 1,
"pending": "text",
"pendingSetAt": "text",
"pendingStage": 1
},
"connectedAt": "text",
"disconnectedAt": "text",
"errorMessage": "text",
"features": 1,
"fleet": "text",
"fleetStatus": 0,
"gateway": "text",
"hostname": "text",
"id": "text",
"labels": {},
"labels_bootstrapped": true,
"macAddress": "text",
"name": "text",
"operatingSystem": "text",
"outOfDate": true,
"pendingLabels": {},
"platform": "text",
"protocol": "text",
"remoteAddress": "text",
"reported_at": "text",
"state": null,
"status": 0,
"type": "text",
"upgrade": {
"allPackagesHash": [
1
],
"error": "text",
"status": 0,
"version": "text"
},
"version": "text"
}
]
}the maximum number of collectors to delete
OK
Bad Request
Unauthorized
Internal Server Error
DELETE /v1/collectors HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 16
{
"ids": [
"text"
]
}{
"agents": [
"text"
]
}Body of the request to update labels for multiple agents
IDs is the list of agent IDs to update
["agent1","agent2"]IncludeFailedIDs when true, and when IDs are provided, will include the IDs that failed to update in the BulkAgentLabelsResponse under the "failedIds" field.
Overwrite is true if the labels should be overwritten. Must be true if modifying a pre-existing label value.
Query is a query string to find agents to update, e.g. "env:production". A query can match fields or labels on the agent.
env:productionSelector is the selector to find agents to update, e.g. "env=production". A selector matches labels on the agent and supports "!", "=", "==", "in", "!=", "notin", and "exists" operators.
env=productionOK
FailedIDs contains the IDs that failed to be updated when IncludeFailedIDs was requested
Bad Request
Unauthorized
Internal Server Error
PATCH /v1/collectors/labels HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 182
{
"ids": [
"agent1",
"agent2"
],
"includeFailedIds": true,
"labels": {
"env": "production",
"region": "us-west-1",
"team": ""
},
"overwrite": true,
"query": "env:production",
"selector": "env=production"
}{
"count": 1,
"errors": [
"text"
],
"failedIds": [
"text"
]
}Upgrade request processed, no content
No content
Unauthorized
Internal Server Error
PATCH /v1/collectors/version HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 33
{
"ids": [
"text"
],
"version": "text"
}No content
the id of the collector
OK
Unauthorized
Not Found
Internal Server Error
GET /v1/collectors/{id} HTTP/1.1
Accept: */*
{
"agent": {
"arch": "text",
"available_components_hash": "text",
"configuration": null,
"configurationStatus": {
"assigned": "text",
"current": "text",
"currentStage": 1,
"dirty": true,
"future": "text",
"futureStage": 1,
"pending": "text",
"pendingSetAt": "text",
"pendingStage": 1
},
"connectedAt": "text",
"disconnectedAt": "text",
"errorMessage": "text",
"features": 1,
"fleet": "text",
"fleetStatus": 0,
"gateway": "text",
"hostname": "text",
"id": "text",
"labels": {},
"labels_bootstrapped": true,
"macAddress": "text",
"name": "text",
"operatingSystem": "text",
"outOfDate": true,
"pendingLabels": {},
"platform": "text",
"protocol": "text",
"remoteAddress": "text",
"reported_at": "text",
"state": null,
"status": 0,
"type": "text",
"upgrade": {
"allPackagesHash": [
1
],
"error": "text",
"status": 0,
"version": "text"
},
"version": "text"
}
}the id of the collector
OK
Unauthorized
Not Found
Internal Server Error
GET /v1/collectors/{id}/configuration HTTP/1.1
Accept: */*
{
"configuration": {
"apiVersion": "string",
"kind": "string",
"metadata": {
"additionalInfo": {
"documentation": [
{
"text": "text",
"url": "text"
}
],
"message": "string"
},
"blueprintTags": {
"ANY_ADDITIONAL_PROPERTY": [
"text"
]
},
"dateModified": "text",
"deprecated": true,
"description": "string",
"displayName": "string",
"hash": "text",
"icon": "string",
"id": "string",
"labels": {},
"name": "string",
"resourceDocLink": "string",
"stability": "string",
"version": 1,
"warning": "string"
},
"spec": {
"configurations": [
{
"connectors": "[Circular Reference]",
"description": "text",
"destinations": "[Circular Reference]",
"disabled": true,
"displayName": "text",
"id": "text",
"licenseEnabled": true,
"name": "text",
"parameters": [
{
"credential": true,
"name": "text",
"sensitive": true,
"value": null
}
],
"presetTarget": {
"type": "text",
"versionConstraint": "text"
},
"processors": "[Circular Reference]",
"public": true,
"recommendation": "text",
"routes": {
"logs": [
{
"components": [
"exit"
],
"id": "text"
}
],
"logs+metrics": [
{
"components": [
"exit"
],
"id": "text"
}
],
"logs+metrics+traces": [
{
"components": [
"exit"
],
"id": "text"
}
],
"logs+traces": [
{
"components": [
"exit"
],
"id": "text"
}
],
"metrics": [
{
"components": [
"exit"
],
"id": "text"
}
],
"metrics+traces": [
{
"components": [
"exit"
],
"id": "text"
}
],
"traces": [
{
"components": [
"exit"
],
"id": "text"
}
]
},
"secOpsPipelineName": "text",
"skipConfiguration": true,
"sources": "[Circular Reference]",
"telemetryExample": {
"after": {
"attributes": {
"ANY_ADDITIONAL_PROPERTY": "anything"
},
"body": null,
"observedTimestamp": "text",
"resource": {
"ANY_ADDITIONAL_PROPERTY": "anything"
},
"severityNumber": 1,
"severityText": "text",
"timestamp": "text"
},
"before": {
"attributes": {
"ANY_ADDITIONAL_PROPERTY": "anything"
},
"body": null,
"observedTimestamp": "text",
"resource": {
"ANY_ADDITIONAL_PROPERTY": "anything"
},
"severityNumber": 1,
"severityText": "text",
"timestamp": "text"
},
"telemetryType": "text"
},
"type": "text",
"version": "text"
}
],
"connectors": [
{
"connectors": "[Circular Reference]",
"description": "text",
"destinations": "[Circular Reference]",
"disabled": true,
"displayName": "text",
"id": "text",
"licenseEnabled": true,
"name": "text",
"parameters": [
{
"credential": true,
"name": "text",
"sensitive": true,
"value": null
}
],
"presetTarget": {
"type": "text",
"versionConstraint": "text"
},
"processors": "[Circular Reference]",
"public": true,
"recommendation": "text",
"routes": {
"logs": [
{
"components": [
"exit"
],
"id": "text"
}
],
"logs+metrics": [
{
"components": [
"exit"
],
"id": "text"
}
],
"logs+metrics+traces": [
{
"components": [
"exit"
],
"id": "text"
}
],
"logs+traces": [
{
"components": [
"exit"
],
"id": "text"
}
],
"metrics": [
{
"components": [
"exit"
],
"id": "text"
}
],
"metrics+traces": [
{
"components": [
"exit"
],
"id": "text"
}
],
"traces": [
{
"components": [
"exit"
],
"id": "text"
}
]
},
"secOpsPipelineName": "text",
"skipConfiguration": true,
"sources": "[Circular Reference]",
"telemetryExample": {
"after": {
"attributes": {
"ANY_ADDITIONAL_PROPERTY": "anything"
},
"body": null,
"observedTimestamp": "text",
"resource": {
"ANY_ADDITIONAL_PROPERTY": "anything"
},
"severityNumber": 1,
"severityText": "text",
"timestamp": "text"
},
"before": {
"attributes": {
"ANY_ADDITIONAL_PROPERTY": "anything"
},
"body": null,
"observedTimestamp": "text",
"resource": {
"ANY_ADDITIONAL_PROPERTY": "anything"
},
"severityNumber": 1,
"severityText": "text",
"timestamp": "text"
},
"telemetryType": "text"
},
"type": "text",
"version": "text"
}
],
"contentType": "text",
"destinations": [
{
"connectors": "[Circular Reference]",
"description": "text",
"destinations": "[Circular Reference]",
"disabled": true,
"displayName": "text",
"id": "text",
"licenseEnabled": true,
"name": "text",
"parameters": [
{
"credential": true,
"name": "text",
"sensitive": true,
"value": null
}
],
"presetTarget": {
"type": "text",
"versionConstraint": "text"
},
"processors": "[Circular Reference]",
"public": true,
"recommendation": "text",
"routes": {
"logs": [
{
"components": [
"exit"
],
"id": "text"
}
],
"logs+metrics": [
{
"components": [
"exit"
],
"id": "text"
}
],
"logs+metrics+traces": [
{
"components": [
"exit"
],
"id": "text"
}
],
"logs+traces": [
{
"components": [
"exit"
],
"id": "text"
}
],
"metrics": [
{
"components": [
"exit"
],
"id": "text"
}
],
"metrics+traces": [
{
"components": [
"exit"
],
"id": "text"
}
],
"traces": [
{
"components": [
"exit"
],
"id": "text"
}
]
},
"secOpsPipelineName": "text",
"skipConfiguration": true,
"sources": "[Circular Reference]",
"telemetryExample": {
"after": {
"attributes": {
"ANY_ADDITIONAL_PROPERTY": "anything"
},
"body": null,
"observedTimestamp": "text",
"resource": {
"ANY_ADDITIONAL_PROPERTY": "anything"
},
"severityNumber": 1,
"severityText": "text",
"timestamp": "text"
},
"before": {
"attributes": {
"ANY_ADDITIONAL_PROPERTY": "anything"
},
"body": null,
"observedTimestamp": "text",
"resource": {
"ANY_ADDITIONAL_PROPERTY": "anything"
},
"severityNumber": 1,
"severityText": "text",
"timestamp": "text"
},
"telemetryType": "text"
},
"type": "text",
"version": "text"
}
],
"disableLegacyEnvVarNormalization": true,
"extensions": [
{
"connectors": "[Circular Reference]",
"description": "text",
"destinations": "[Circular Reference]",
"disabled": true,
"displayName": "text",
"id": "text",
"licenseEnabled": true,
"name": "text",
"parameters": [
{
"credential": true,
"name": "text",
"sensitive": true,
"value": null
}
],
"presetTarget": {
"type": "text",
"versionConstraint": "text"
},
"processors": "[Circular Reference]",
"public": true,
"recommendation": "text",
"routes": {
"logs": [
{
"components": [
"exit"
],
"id": "text"
}
],
"logs+metrics": [
{
"components": [
"exit"
],
"id": "text"
}
],
"logs+metrics+traces": [
{
"components": [
"exit"
],
"id": "text"
}
],
"logs+traces": [
{
"components": [
"exit"
],
"id": "text"
}
],
"metrics": [
{
"components": [
"exit"
],
"id": "text"
}
],
"metrics+traces": [
{
"components": [
"exit"
],
"id": "text"
}
],
"traces": [
{
"components": [
"exit"
],
"id": "text"
}
]
},
"secOpsPipelineName": "text",
"skipConfiguration": true,
"sources": "[Circular Reference]",
"telemetryExample": {
"after": {
"attributes": {
"ANY_ADDITIONAL_PROPERTY": "anything"
},
"body": null,
"observedTimestamp": "text",
"resource": {
"ANY_ADDITIONAL_PROPERTY": "anything"
},
"severityNumber": 1,
"severityText": "text",
"timestamp": "text"
},
"before": {
"attributes": {
"ANY_ADDITIONAL_PROPERTY": "anything"
},
"body": null,
"observedTimestamp": "text",
"resource": {
"ANY_ADDITIONAL_PROPERTY": "anything"
},
"severityNumber": 1,
"severityText": "text",
"timestamp": "text"
},
"telemetryType": "text"
},
"type": "text",
"version": "text"
}
],
"measurementInterval": "text",
"parameters": [
{
"credential": true,
"name": "text",
"sensitive": true,
"value": null
}
],
"processors": [
{
"connectors": "[Circular Reference]",
"description": "text",
"destinations": "[Circular Reference]",
"disabled": true,
"displayName": "text",
"id": "text",
"licenseEnabled": true,
"name": "text",
"parameters": [
{
"credential": true,
"name": "text",
"sensitive": true,
"value": null
}
],
"presetTarget": {
"type": "text",
"versionConstraint": "text"
},
"processors": "[Circular Reference]",
"public": true,
"recommendation": "text",
"routes": {
"logs": [
{
"components": [
"exit"
],
"id": "text"
}
],
"logs+metrics": [
{
"components": [
"exit"
],
"id": "text"
}
],
"logs+metrics+traces": [
{
"components": [
"exit"
],
"id": "text"
}
],
"logs+traces": [
{
"components": [
"exit"
],
"id": "text"
}
],
"metrics": [
{
"components": [
"exit"
],
"id": "text"
}
],
"metrics+traces": [
{
"components": [
"exit"
],
"id": "text"
}
],
"traces": [
{
"components": [
"exit"
],
"id": "text"
}
]
},
"secOpsPipelineName": "text",
"skipConfiguration": true,
"sources": "[Circular Reference]",
"telemetryExample": {
"after": {
"attributes": {
"ANY_ADDITIONAL_PROPERTY": "anything"
},
"body": null,
"observedTimestamp": "text",
"resource": {
"ANY_ADDITIONAL_PROPERTY": "anything"
},
"severityNumber": 1,
"severityText": "text",
"timestamp": "text"
},
"before": {
"attributes": {
"ANY_ADDITIONAL_PROPERTY": "anything"
},
"body": null,
"observedTimestamp": "text",
"resource": {
"ANY_ADDITIONAL_PROPERTY": "anything"
},
"severityNumber": 1,
"severityText": "text",
"timestamp": "text"
},
"telemetryType": "text"
},
"type": "text",
"version": "text"
}
],
"raw": "text",
"rollout": {
"connectors": [
"[Circular Reference]"
],
"description": "text",
"destinations": [
"[Circular Reference]"
],
"disabled": true,
"displayName": "text",
"id": "text",
"licenseEnabled": true,
"name": "text",
"parameters": [
{
"credential": true,
"name": "text",
"sensitive": true,
"value": null
}
],
"presetTarget": {
"type": "text",
"versionConstraint": "text"
},
"processors": [
"[Circular Reference]"
],
"public": true,
"recommendation": "text",
"routes": {
"logs": [
{
"components": [
"exit"
],
"id": "text"
}
],
"logs+metrics": [
{
"components": [
"exit"
],
"id": "text"
}
],
"logs+metrics+traces": [
{
"components": [
"exit"
],
"id": "text"
}
],
"logs+traces": [
{
"components": [
"exit"
],
"id": "text"
}
],
"metrics": [
{
"components": [
"exit"
],
"id": "text"
}
],
"metrics+traces": [
{
"components": [
"exit"
],
"id": "text"
}
],
"traces": [
{
"components": [
"exit"
],
"id": "text"
}
]
},
"secOpsPipelineName": "text",
"skipConfiguration": true,
"sources": [
"[Circular Reference]"
],
"telemetryExample": {
"after": {
"attributes": {
"ANY_ADDITIONAL_PROPERTY": "anything"
},
"body": null,
"observedTimestamp": "text",
"resource": {
"ANY_ADDITIONAL_PROPERTY": "anything"
},
"severityNumber": 1,
"severityText": "text",
"timestamp": "text"
},
"before": {
"attributes": {
"ANY_ADDITIONAL_PROPERTY": "anything"
},
"body": null,
"observedTimestamp": "text",
"resource": {
"ANY_ADDITIONAL_PROPERTY": "anything"
},
"severityNumber": 1,
"severityText": "text",
"timestamp": "text"
},
"telemetryType": "text"
},
"type": "text",
"version": "text"
},
"selector": {
"matchLabels": {
"ANY_ADDITIONAL_PROPERTY": "text"
}
},
"sources": [
{
"connectors": "[Circular Reference]",
"description": "text",
"destinations": "[Circular Reference]",
"disabled": true,
"displayName": "text",
"id": "text",
"licenseEnabled": true,
"name": "text",
"parameters": [
{
"credential": true,
"name": "text",
"sensitive": true,
"value": null
}
],
"presetTarget": {
"type": "text",
"versionConstraint": "text"
},
"processors": "[Circular Reference]",
"public": true,
"recommendation": "text",
"routes": {
"logs": [
{
"components": [
"exit"
],
"id": "text"
}
],
"logs+metrics": [
{
"components": [
"exit"
],
"id": "text"
}
],
"logs+metrics+traces": [
{
"components": [
"exit"
],
"id": "text"
}
],
"logs+traces": [
{
"components": [
"exit"
],
"id": "text"
}
],
"metrics": [
{
"components": [
"exit"
],
"id": "text"
}
],
"metrics+traces": [
{
"components": [
"exit"
],
"id": "text"
}
],
"traces": [
{
"components": [
"exit"
],
"id": "text"
}
]
},
"secOpsPipelineName": "text",
"skipConfiguration": true,
"sources": "[Circular Reference]",
"telemetryExample": {
"after": {
"attributes": {
"ANY_ADDITIONAL_PROPERTY": "anything"
},
"body": null,
"observedTimestamp": "text",
"resource": {
"ANY_ADDITIONAL_PROPERTY": "anything"
},
"severityNumber": 1,
"severityText": "text",
"timestamp": "text"
},
"before": {
"attributes": {
"ANY_ADDITIONAL_PROPERTY": "anything"
},
"body": null,
"observedTimestamp": "text",
"resource": {
"ANY_ADDITIONAL_PROPERTY": "anything"
},
"severityNumber": 1,
"severityText": "text",
"timestamp": "text"
},
"telemetryType": "text"
},
"type": "text",
"version": "text"
}
],
"topologyInterval": "text",
"type": "text"
},
"status": {
"current": true,
"currentVersion": -2,
"latest": true,
"pending": true,
"pendingVersion": -2,
"rollout": {
"completedAt": "text",
"name": "text",
"options": {
"maxErrors": 1,
"phaseAgentCount": {
"initial": 1,
"maximum": 1,
"multiplier": 1,
"type": "adaptive"
},
"startAutomatically": true
},
"phase": 1,
"progress": {
"completed": 1,
"errors": 1,
"incompatible": 1,
"pending": 1,
"waiting": 1
},
"stage": 1,
"stages": [
{
"labels": {},
"name": "text",
"progress": {
"completed": 1,
"errors": 1,
"incompatible": 1,
"pending": 1,
"waiting": 1
},
"startedAt": "text"
}
],
"startedAt": "text",
"status": 0
}
}
},
"raw": "text"
}the id of the collector
OK
Unauthorized
Not Found
Internal Server Error
GET /v1/collectors/{id}/labels HTTP/1.1
Accept: */*
{
"errors": [
"text"
],
"labels": {}
}the id of the collector
if true, overwrite any existing labels with the same names
OK
Bad Request
Unauthorized
Not Found
Conflict
Internal Server Error
PATCH /v1/collectors/{id}/labels HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 62
{
"labels": {
"env": "production",
"region": "us-west-1",
"team": ""
}
}{
"errors": [
"text"
],
"labels": {}
}the id of the collector
Upgrade request processed, no content
No content
Unauthorized
Not Found
If the collector does not support upgrade
If the agent is disconnected
Internal Server Error
POST /v1/collectors/{id}/version HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 18
{
"version": "text"
}No content
Last updated
Was this helpful?